Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.bintype
Class BintypeString_Filler

    java.lang.Object
      |
      +--com.bea.wlxt.bintype.Bintype
            |
            +--com.bea.wlxt.bintype.BintypeString
                  |
                  +--com.bea.wlxt.bintype.BintypeString_Filler

public class BintypeString_Filler
extends BintypeString

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wlxt.bintype.Bintype
`codepageEBCDIC`

Constructor Summary
`BintypeString_Filler()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `read(java.io.InputStream byteStream, com.bea.wlxt.mfl.MFLField mflField)`
`void` | `write(BintypeOutputStream byteStream, com.bea.wlxt.mfl.MFLField mflField, java.lang.String value)`

Methods inherited from class com.bea.wlxt.bintype.BintypeString
`canBeDelimited, canBeFieldType, canBeLenFieldType, canBeTagFieldType, isCodepageOK, isCutoffRequired, isDateType, isFixedSize, isValueOK, makeString, readByteField, readDelimitedStringField, readField, trimBoth, trimLeading, trimTrailing, writeField`

Methods inherited from class com.bea.wlxt.bintype.Bintype
`applyPadAndTrim, applyPadTrimAndTruncate, canBeDataDelimited, canBeDelimSeparator, canBePadded, canBePassLiteral, canBeTrimmed, canBeTruncated, canHaveDecimalPlaces, getBinaryBytes, getDescriptionText, getDisplayName, getTypeName, makeString, readDataDelim, readDelimitedField, readLength, readTag, reverseBytes, writeLength, writeTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BintypeString_Filler

    public BintypeString_Filler()

Method Detail

### read

    public java.lang.String read(java.io.InputStream byteStream,
                                 com.bea.wlxt.mfl.MFLField mflField)
                          throws BintypeException

  Overrides:
    read in class Bintype

### write

    public void write(BintypeOutputStream byteStream,
                      com.bea.wlxt.mfl.MFLField mflField,
                      java.lang.String value)
               throws BintypeException

  Overrides:
    write in class Bintype

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)